Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.helper
Class ProjectHelperImpl

    java.lang.Object
      org.apache.tools.ant.ProjectHelper
          org.apache.tools.ant.helper.ProjectHelperImpl

public class ProjectHelperImpl
extends ProjectHelper

Original helper.

Author:
  duncan@x180.com

Field Summary

Fields inherited from class org.apache.tools.ant.ProjectHelper
`HELPER_PROPERTY, SERVICE_ID`

Constructor Summary
`ProjectHelperImpl()`

Method Summary
`void` | `parse(Project project, java.lang.Object source)` Parses the project file, configuring the project as it goes.

Methods inherited from class org.apache.tools.ant.ProjectHelper
`addText, addText, configure, configureProject, getContextClassLoader, getProjectHelper, parsePropertyString, replaceProperties, replaceProperties, storeChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProjectHelperImpl

    public ProjectHelperImpl()

Method Detail

### parse

    public void parse(Project project,
                      java.lang.Object source)
               throws BuildException

  Parses the project file, configuring the project as it goes.

  Overrides:
    `parse` in class `ProjectHelper`
  Parameters:
    `project` - project instance to be configured.
    `source` - the source from which the project is read.
  Throws:
    `BuildException` - if the configuration is invalid or cannot be read.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.